My device isn't compatible with this version - Xiaomi Redmi 4 - Android v6.0.1

No can do. Any time the company that makes the OS stops supporting it, so too do app developers. It’s a lot of work for extra code to work across versions.

1 Like